%global forgeurl    https://github.com/blackhole89/notekit/
%global commit      f3457107c04a3ecb1108edc0b51d7acd919cbc5b

%global uuid        com.github.blackhole89.notekit

Name:       notekit
Version:    0
Release:    2%{?dist}
Summary:    Hierarchical markdown notetaking application with tablet support

%forgemeta

License:    GPLv3+ and Charter
URL:        %{forgeurl}
Source0:    %{forgesource}
Patch0:     https://patch-diff.githubusercontent.com/raw/blackhole89/notekit/pull/60.diff

BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  cLaTeXMath-devel
BuildRequires:  gtkmm30-devel
BuildRequires:  gtksourceviewmm3-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  zlib-devel
Requires:       hicolor-icon-theme

%description
This program is a structured notetaking application based on GTK+ 3.
Write your notes in instantly-formatted Markdown, organise them in a
tree of folders that can be instantly navigated from within the program,
and add hand-drawn notes by mouse, touchscreen or digitiser.

%prep
%forgeautosetup -S git

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_metainfodir}/%{uuid}.metainfo.xml
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/

%changelog
* Wed Nov 18 2020 Lyes Saadi <fedora@lyes.eu> -0-2
- Updating to latest commit
- Switching to meson
- Enabling cLaTeXMath
- Adding metainfo
- Adding back Charter fonts as I recently learned to read

* Thu Oct 22 2020 Lyes Saadi <fedora@lyes.eu> - 0-1.git5ecb632
- Updating to latest commit
- Replacing the patch by a simple sed

* Tue May 05 2020 Lyes Saadi <fedora@lyes.eu> - master-2
- Updating to latest commit
- Making the spec file compliant to Fedora's Guidelines

* Wed Sep 11 2019 Lyes Saadi <fedora@lyes.eu> - master-1
- Creating the spec file
